← Clasamente
Șterge

Scotland

Caledonia North Region League Division 2

#EchipăPWDLPDBPPtsFormă
1Aberdeenshire RFC7700+333735WWWWW
2Shetland RFC6402+76420WWLLW
3Highland 3rd XV5302+3517WLWLW
4North Police Scotland6303+31416LLWWL
5Garioch RFC5302+29214LLWWW
6Banff RFC5203+6027LWLWL
7Stornoway RFC7106-12730LLWLL
8Aberdeen Grammar Rugby 2nd XV5005-40510LLLLL

Sursă: Scottish Rugby · verificat 18 oct., 16:20 · Formă: ultimele cinci rezultate pe care le avem, cel mai recent în dreapta.

Meciuri și rezultate →

Fiecare clasament este cel publicat de liga respectivă, cu bonusuri, penalizări și criterii de departajare. BP apare unde liga îl publică; în rest este deja inclus în Pts.